Bug 53789 - NFS v3 mount timeouts during kickstart post-installation-configuration
NFS v3 mount timeouts during kickstart post-installation-configuration
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-18 13:41 EDT by Mike Sklar
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-18 14:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Sklar 2001-09-18 13:41:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
My roswell beta(2) 8/19/01 test machines are kickstarting fine until they
reach the post-install-configuration (%post) of the ks.cfg. At that point I
mount up three other NFS systems. Two Solaris and one IRIX NFS server. The
mounts each time out for approx. 5min. (ie. 15minutes in total). At that
point all the files are seen over NFS and installed. 




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install roswell beta2 (8/19/01) on a i386 arch.
2. Attempt to mount solaris/irix NFS v3 fileservers in %post section of ks.cfg
3.
	

Actual Results:  [root@localhost log]# dmesg | tail
Adding Swap: 409616k swap-space (priority -1)
portmap: server localhost not responding, timed out
portmap: server localhost not responding, timed out
lockd_up: makesock failed, error=-5
portmap: server localhost not responding, timed out
lockd_up: no pid, 2 users??
portmap: server localhost not responding, timed out
portmap: server localhost not responding, timed out
portmap: server localhost not responding, timed out
lockd_up: no pid, 3 users??


Expected Results:  The NFS mounts would occur immediately.
This occured in 7.1 not for bootnet.img but for pcmcia.img installations. 


Additional info:

I believe mounting from other linux machines is fine.

I am getting the roswell base distribution off the IRIX machine without
issues during NFS installation.

These NFS timeouts during post-installation-configuration occured in 7.1
with pcmcia.img installations, but not bootnet.img.
Comment 1 Jeremy Katz 2001-09-18 14:35:36 EDT
Could you try mounting the shares with '-o nolock' and see if that helps?
Comment 2 Brent Fox 2001-10-01 12:00:28 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.